Bug 67527 - Enhancement to RHN Applet
Enhancement to RHN Applet
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 17:57 EDT by Thom Paine
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 05:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Paine 2002-06-26 17:57:36 EDT
I would like to see an enhancement to the rhn applet. I manage several servers
and I would like to be able to see at a glance from my workstation if any need
attention. While the rhn.redhat.com site is very useful, I would rather have
several rhn applets running on their own panel on my workstation, so that should
one machine need some updates, I can click the red ! mark and launch the up2date
agent via ssh on the particular server. I also think it is only fair to show the
status of entitled machines.
Comment 1 Daniel Veillard 2003-04-08 05:23:31 EDT
Hum, a couple of points:
   - this does not scale, if you have 10 servers then you would have
     10 icons in the task bar, very confusing, and takes too much 
     screen estate
   - I don't think anything actually prevent already doing this, you
     can just ssh to the machine and launch the rhn-applet-gui this 
     works as you describe except it's not handled automatically by
     the applet itself.
   - the web site is really the best way to manage set of servers,
     grouping facilities etc, are priomordial as soon as the number of
     machines increases. Trying to duplicate those at the applet level
     makes little sense. On the other hand we added a web launcher to the
     applet menu so that it's easy to go from an even raised by the applet
     to the web site which gives a complete overview of the machine states.

  So I don't think we will really try to extend the applet to support
multiple machine, this doesn't seems to make much sense currently.

   thanks anyway,

Daniel

Note You need to log in before you can comment on or make changes to this bug.